Subject: Re: [bug#62102] [PATCH v2] services: Add whoogle-service-type.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 19 Feb 2024 22:25:16 +0100

Hi,

Miguel Ángel Moreno <[email-masked]> skribis:

> * gnu/services/web.scm (whoogle-service-type): New variable.
> * doc/guix.texi (Web Services): Document it.

Finally applied!  I followed up by expanding the Whoogle intro in the
manual a bit.

Things nice-to-have that come to mind:

  • A system test.  This is normally required for all new system
    services.  I was willing to make an exception here because it’s
    already taken way too long, but would be nice to have such a test to
    ensure the service actually keeps working.

  • Running the daemon with ‘least-authority-wrapper’.  It’s a good idea
    for all network-facing daemons.

  • Adding a Home service via ‘define-service-type-mapping’.

Thanks,
Ludo’.